
//XSETASETA@GMAIL.COM
//SETA43
// 2023

#include <stdio.h>

#include "define.h"

#ifdef SDL2
    #include "SDL2/SDL.h"
    #include "SDL2/SDL_ttf.h"
    #include "SDL2/SDL_image.h"
    #include "SDL2/SDL_mixer.h"
#else
    #include <SDL/SDL.h>
    #include "SDL/SDL_ttf.h"
    #include "SDL/SDL_image.h"
    #include "SDL/SDL_mixer.h"
#endif


void refresco(void);
void screenFull(char fullScreen);
void cls(int r,int g,int b);

void putpixel(int x,int y,SDL_Color color);
void line(int x,int y,int xx,int yy);
void bar(int x,int y,int xx,int yy);
void box(int x,int y,int xx,int yy);
void plot(int x,int y);
void setcolor(unsigned char r,unsigned char g,unsigned char b);




SDL_Surface *load_image( char *filename );
void clean_up();
int init(int ancho, int alto);
//int load_files();
int load_files(char *f_fondo,char *f_imagenes,char *f_font);

void apply_surface( int x, int y, SDL_Surface* source, SDL_Surface* destination );
void apply_surfaceB( int x, int y, SDL_Surface* source, SDL_Surface* destination,SDL_Rect* clip );

#ifdef SDL2
    extern SDL_Window* window;
    extern SDL_Renderer * renderer;
    extern SDL_Texture* texture;
#else

#endif



extern	SDL_Surface *background; 
extern	SDL_Surface *background2;
extern	SDL_Surface *dots;
extern 	SDL_Surface *screen;

extern TTF_Font *font;
extern SDL_Color textColor;
extern 	Mix_Chunk *sonido;
extern SDL_Color ColorDefault;



extern  int SCREEN_WIDTH; 
extern	int SCREEN_HEIGHT; 
extern	int SCREEN_BPP;



